using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace  Models
{
    /// <summary>
    /// RCU 错误日志
    /// </summary>
    [Table("TBL_HW_ERR_LOG"), Comment("RCU 连接日志")]
    public class TBL_HW_ERR_LOG
    {
        /// <summary>
        /// ID  主键id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("ID,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        /// <summary>
        ///   RCU_ID id
        /// </summary>
        [Column(TypeName = "int"), Comment("RCU_ID 主机id"), Required]
        public int RCU_ID { get; set; }

        /// <summary>
        /// 日期
        /// </summary>
        [Column(TypeName = "datetime"), Comment("日期")]
        public DateTime DATETIME { get; set; }

        /// <summary>
        ///   ERR_MSG_SOURCE_ID  信息来源
        /// </summary>
        [Column(TypeName = "int"), Comment("信息来源"), Required]
        public int ERR_MSG_SOURCE_ID { get; set; }

        /// <summary>
        ///   DEV_TYPE_ID  硬件类型
        /// </summary>
        [Column(TypeName = "int"), Comment("硬件类型"), Required]
        public int DEV_TYPE_ID { get; set; }


        /// <summary>
        ///   LOOP_ADD  回路地址
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("回路地址"), Required]
        public string LOOP_ADD { get; set; }


        /// <summary>
        ///   ERR_ID  日志类型id
        /// </summary>
        [Column(TypeName = "int"), Comment("日志类型id"), Required]
        public int ERR_ID { get; set; }

        /// <summary>
        /// 在线状态  0 不在 1在
        /// </summary>
        [Column(TypeName = "int"), Comment("是否在线 0 不在 1在")]
        public int ONLINE_SATATUS { get; set; } = 0;


        /// <summary>
        /// 公网IP   
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("公网IP")]
        public string PUBLIC_IP { get; set; }

        /// <summary>
        /// 内网IP   
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("内网IP")]
        public string INTEANL_IP { get; set; }

        /// <summary>
        /// UDP端口   
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("UDP端口")]
        public string UDP_PORT { get; set; }

        /// <summary>
        /// 公网端口   
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("公网端口")]
        public string PUBLIC_PORT { get; set; }


        /// <summary>
        /// 备注   
        /// </summary>
        [Column(TypeName = "nvarchar(520)"), Comment("备注")]
        public string REMARK { get; set; }


        /// <summary>
        /// 记录更新时间
        /// </summary>
       [Column(TypeName = "datetime"), Comment("记录更新时间")]
        public DateTime? UPDATE_TIMEMARK { get; set; }
    }
}
